! Definition des variables globales pour le contrle des tlescopes T120
!
! NIVEAU: 0
! EXECUTABLE PAR: tout INTER
! STATUT: OK (GR,AB)
!
! Pas de parametres
!
! 01/01/97        G. Russiniello
! 28/01/1997      A.Blecha, L.Weber, G.Russiniello
! 27/02/1997      A.Blecha
! 12/03/1997      G.Russiniello
! 17/06/1998      C.Maire                         offset coupole
! 08/10/1999      C.Maire                         limites axe M2
! 12/01/2000      GR Dplacement des dclarations de te.id et te.dconfig
!           de global_all  ici.
! 03/03/2000     GD Modification de te.dconfig pour systme de fichiers T5
! 15/03/2000     GD Modle de pointage pour T5  Genve
! 12/12/2000     GD Enleve le derotateur pour La Palma (te.userot)
! si te.virtual.gt.0, on n'envoie pas les commandes  t120
! 15/12/2000     GD Modle de pointage pour T5  La Palma tous les params  0
! 10/01/2001     CM Supprime te.sdbnb et index a te.sdbport
! 13/01/2001     GD Modle de pointage pour T5  La Palma
!
!
! VERSION: $Id: global_te.prc,v 1.24 2009/04/04 12:13:02 maire Exp maire $
! HISTORY:
!       $Log: global_te.prc,v $
!       Revision 1.24  2009/04/04 12:13:02  maire
!       avant pisco
!
!       Revision 1.23  2006/10/23 20:02:56  weber
!       Valeur de te.cup.off modifie  32 (DM - 20061023)
!
!       Revision 1.22  2004/06/28 23:43:53  weber
!       variables pour valeur d'offset des derotateurs lapalma
!
!       Revision 1.21  2004/06/27 17:39:42  weber
!       parcage pour azote filling
!
!       Revision 1.20  2004/06/23 10:36:19  maire
!       Mis les variable derotateur a 9999.999
!
!       Revision 1.19  2004/06/23 09:12:11  maire
!       Ajout global pour les positions absolue des derotateurs
!
!       Revision 1.18  2004/06/23 08:53:54  blecha
!       changement variable te.tpie te.cuppark
!
!       Revision 1.17  2004/03/02 02:33:59  blecha
!       rajoute params
!
!       Revision 1.16  2004/02/27 21:59:30  weber
!       *** empty log message ***
!
!       Revision 1.15  2003/07/08 17:23:57  blecha
!       *** empty log message ***
!
!       Revision 1.14  2003/07/08 17:14:11  blecha
!       OFFSET coupole est maintenant =0 (coupole reglee 0 au SUD)
!       Description de la procedure mecanique d'alignement
!
!       Revision 1.13  2003/07/01 13:15:43  weber
!       Reindentation
!
!       Revision 1.12  2002/09/25 16:24:06  davignon
!       Adaptation camera2
!       Version locke par Davignon sur global_te.prc.last
!       Delocke par A. Blecha
!
!       Revision 1.11  2001/05/03 09:48:08  weber
!       mise a jour depuis la palma
!
!       Revision 1.10  2001/02/06 20:40:45  russinie
!       mise a jour depuis installation La Palma
!
!       Revision 1.9  2000/11/09 12:57:49  russinie
!       Ajout de te.shut.dt
!
!       Revision 1.8  2000/10/20 16:52:48  russinie
!       Compatibilit T5.
!
!       Revision 1.7  2000/05/23 23:41:29  weber
!       standardisation des variable d'envirronement DIS WSP GEO
!
!       Revision 1.6  2000/05/23 19:14:03  weber
!       te.dconfig site sensitif
!       mal fait car devarit utiliser $THOME !!!!!!!
!
!       Revision 1.5  2000/05/23 17:33:27  weber
!       mise  niveau avec le soft develop pour T5
!
!       Revision 1.4  1999/10/08 11:12:06  maire
!       site sensitif pour M2
!
!       Revision 1.3  1999/02/05 10:58:00  maire
!       Ajout sensibilite soufflet radiaux
!
!       Revision 1.2  1999/02/05 10:34:12  maire
!       Ajout sensibilite ampli soufflet dorsaux
!
!       Revision 1.1  1998/12/16 10:57:52  weber
!       Initial revision
!

global te.virtual=1

global te.id=g.tele   ! Identificateur du tlescope
! Peut-tre te.id et g.tele redondants ?

if (lceq(te.id,"T4")).or.(lceq(te.id,"T5")) then
    write "#GLOBAL_TE: initialisation pour le tlescope " te.id "  " g.nomsite /term /log
else
    write "#GLOBAL_TE: identificateur de tlescope " te.id " non reconnu" /term /log
    te.id=T4
    write "#GLOBAL_TE: par dfaut, initialisation pour le tlescope " te.id /term /log
endif


! rpertoire des procdure t120
if find(lower(g.site),"palma") then
    global te.dconfig="/disk/02/T5/beta/config/t120/"
endif

!
! *******************************************************************************
! *										*
! * VARIABLES D'ENVIRONNEMENT							*
! *										*
! *******************************************************************************
!
global te.t4home=""	! Root et courant directories
global te.t4root=""
global te.t120srv=""	! ($T120_SRV)         configuration pour T120_SRV
global te.lochost=""	! local host
global te.display=""	! local display
global te.loghost=""	!
global te.sdbconf=""	! ($T120_SDB_CFG)     configuration pour SDB
global te.sdbhost=""	! ($T120_SDB_HOST)     Machine ou tourne les sdb
global te.sdbopti=""	! ($T120_SRV_SDB_OPT) Option pour les sdb
global te.srvadap=""	! ($T120_SRV_ADAPTER) pour alex ou transtech
!!global te.sdbport	! Numero des socket SDB    - dans @global_all 14092002
global te.sdb_dis=""	! ($T120_SDB_DIS)  Option pour les sdb
global te.sdb_geo=""	! ($T120_SDB_GEO)geometrie
global te.sdb_wsp=""	! ($T120_SDB_WSP)workspace
!!global te.goptime	! Numero du socket GOP_TIMER - dans @global_all 14092002
global te.srv_lcu=""	! LCU pour t120_srv
global te.error=0	! Contrle d'erreur global pour T120
!
! *******************************************************************************
! *										*
! * Station de travail connecte au contrleur du tlescope			*
! * (point d'accs au rseau de transputers)					*
! *										*
! *******************************************************************************
!
! LA SILLA (par dfaut)
! ---------------------
!
global te.tpuhost="titan"	! T4
!
! LA PALMA
! --------
!
if index(lower(g.site),"palma") then
    te.tpuhost="palmeras"	! T5
endif
!
! GENVE
! ------
!
if index(lower(g.site),"geneva") then
    te.tpuhost="obsul21"	! Banc de test  l'Observatoire de Genve
endif
!
! *******************************************************************************
! *										*
! * TEMPERATURE   [C]								*
! *										*
! *******************************************************************************
!
global te.temt1m1	! Temprature 1 du miroir M1
global te.temt1m2	! Temprature 1 (lectronique) de M2
global te.temt2m2	! Temprature 2 (miroir) de M2.
global te.tcooler	! Temprature de l'eau glycole de l'changeur.
global te.temttb	! Temprature du Tube partie Basse.
global te.temtth	! Temprature du Tube partie Haute.
global te.temthp	! Temprature de l'huile  la sortie du palier.
!
! *******************************************************************************
! *										*
! * PRESSION									*
! *										*
! *******************************************************************************
!
!
global te.preppi	! Pressions des poches infrieures (DIGIBAR).
global te.prepps	! Pressions des poches suprieures (DIGIBAR).
global te.prempsr	! Mesure de la Pression des Soufflets Radiaux
global te.prempsd	! Mesure de la Pression des Soufflets Dorsaux
global te.c30sen1=1.3	! Sensibilite gamme 1 ampli soufflet dorsaux
global te.c30sen2=0.285	! Sensibilite gamme 2 ampli soufflet dorsaux
global te.c01sen1=10.0	! Sensibilite gamme 1 ampli soufflet dorsaux
global te.c01sen2=5.4	! Sensibilite gamme 2 ampli soufflet dorsaux
!
! *******************************************************************************
! *										*
! * CARACTRISTIQUES OPTIQUES							*
! *										*
! *******************************************************************************
!
! Ouverture numrique F/D
global te.ouvert=11.941
!
! Facteur d'chelle mm/"
global te.scale=0.069469
!
! *******************************************************************************
! *										*
! * COORDONNES									*
! *										*
! *******************************************************************************
!
global te.azi te.aziin te.dazi
global te.ele te.elein te.dele
global te.rot te.rotin te.drot
global te.alpha te.alphain te.dalpha
global te.delta te.deltain te.ddelta
global te.alpha2 te.delta2
global te.alphaof te.deltaof
global te.elemax=89.9 te.elemin=12
global te.ha
!
! *******************************************************************************
! *										*
! * COORDONNES	DEDIES A L'CRITURE DES DESCRIPTEURS FITS			*
! *										*
! *******************************************************************************
!
global te.alpcons 	! consigne alpha telescope	(obje /coord => objalpha)
global te.delcons 	! consigne delta telescope	(obje /coord => objdelta)
!
! debut de pose (DP)
!
global te.azicdp	! consigne azimut derotateur	(scr /sync /pos => scrconsazi) 
global te.elecdp	! consigne elevation derotateur	(scr /sync /pos => scrconsele) 
global te.rotcdp	! consigne rotation derotateur	(scr /sync /pos => scrconsrot)
global te.cazimdp	! mesure   azimut coupole	(cupola /actual => cuposmes)
!
! fin de pose (DP)
!
global te.azicfp	! consigne azimut derotateur	(scr /sync /pos => scrconsazi) 
global te.elecfp	! consigne elevation derotateur	(scr /sync /pos => scrconsele) 
global te.rotcfp	! consigne rotation derotateur	(scr /sync /pos => scrconsrot)
global te.cazimfp	! mesure   azimut coupole	(cupola /actual => cuposmes)
!
! *******************************************************************************
! *										*
! * SUPPORT DU MIROIR M1							*
! *										*
! *******************************************************************************
!
global te.m1fd
global te.m1pd
global te.m1pr
!
!
! Paramtres de calibration de la rgulation pneumatique
!
! T4 (par dfaut, mesures E.Ischi  La Silla)
!
! Appuis dorsaux
global te.m1dvmin=4.975   ! [V]
global te.m1dvmax=5.290   ! [V]
global te.m1dprng=1.490   ! [bar]
global te.m1dsens=0.285   ! [mV/V]
!
! Appuis radiaux
global te.m1rvmin=4.985   ! [V]
global te.m1rvmax=5.390   ! [V]
global te.m1rprng=1.515   ! [bar]
global te.m1rsens=4.624   ! [mV/V]
!
! T5 (mesures E.Ischi  Genve)
!
if lceq(te.id,"T5") then
    ! Appuis dorsaux
    te.m1dvmin=4.895   ! [V]
    te.m1dvmax=5.253   ! [V]
    te.m1dprng=1.610   ! [bar]
    te.m1dsens=0.260   ! [mV/V]
    !
    ! Appuis radiaux
    te.m1rvmin=4.954   ! [V]
    te.m1rvmax=5.282   ! [V]
    te.m1rprng=1.630   ! [bar]
    te.m1rsens=5.016   ! [mV/V]
endif
!
! *******************************************************************************
! *										*
! * MOTORISATION ET POSITIONNEMENT DU MIROIR M2					*
! *										*
! *******************************************************************************
!
global te.m2m1mec
global te.m2m1opt
global te.m2tx0
global te.m2txtoa
global te.m2txx
global te.m2txz
global te.m2ty0
global te.m2tytoa
global te.m2tyy
global te.m2tyz
global te.m2unit=.001
global te.m2x
global te.m2x0
global te.m2x0
global te.m2xpdef
global te.m2xref
global te.m2xt
global te.m2xt0
global te.m2xtpde
global te.m2xtref
global te.m2y
global te.m2y0
global te.m2y0
global te.m2ypde
global te.m2yref
global te.m2yt
global te.m2yt0
global te.m2ytpde
global te.m2ytref
global te.m2z
global te.m2z0
global te.m2z0=(te.m2m1mec-te.m2m1opt)/te.m2unit
global te.m2zpde
global te.m2zref
!
! *******************************************************************************
!
!
! -------------------------------------------------------------------------------
! Limites logicielles des courses pour les axes de M2
! -------------------------------------------------------------------------------
!
! Ces valeurs sont des butes logicielles
! utilises par le contrleur du tlescope pour les
! dplacements selon les 5 axes de M2. Ce sont des valeurs
! linaires en [mm] sur la vis sans fin de chaque axe.
!
! axe X
! -----
global te.m2xmin=0.4	! T4
global te.m2xmax=4.7	! T4
!
if lceq(te.id,"T5") then
    te.m2xmin=0.4	! T5
    te.m2xmax=4.7	! T5
endif
!
! axe Y
! -----
global te.m2ymin=0.4	! T4
global te.m2ymax=4.7	! T4
!
if lceq(te.id,"T5") then
    te.m2ymin=0.4	! T5
    te.m2ymax=4.7	! T5
endif
!
! axe Z
! -----
global te.m2zmin=0	! T4
global te.m2zmax=50	! T4
!
if lceq(te.id,"T5") then
    te.m2zmin=0.0	! T5
    te.m2zmax=50.0	! T5
endif
!
! axe THTA (tilt X)
! ------------------
global te.m2txmin=0.26	! T4
global te.m2txmax=0.97	! T4
!
if lceq(te.id,"T5") then
    te.m2txmin=0.26	! T5
    te.m2txmax=1.2	! T5
endif
!
! axe PHI (tilt Y)
! ----------------
global te.m2tymin=0.18	! T4
global te.m2tymax=1	! T4
!
if lceq(te.id,"T5") then
    te.m2tymin=0.26	! T5
    te.m2tymax=1.2	! T5
endif
!
!
! *******************************************************************************
! *										*
! * DROTATEUR DE CHAMP								*
! *										*
! *******************************************************************************
!
global te.userot=0   ! Utilisation du drotateur de champ
! te.userot=0: pas de drotateur
! te.userot=1: le drotateur est utilis
!
!
if index(lower(g.site),"palma") then
    te.userot=1
endif
!
! Offset selon derotateur
!
global terot.offc=-139 ! cassegrain
global terot.offn=-121 ! nasmyth 
!
!Sauvegarde position absolue pour les deux derotateur C3 (cassegrain) ou P7 (nasmyth)
!
global te.rotcaab=9999.999
global te.rotcanb=9999.999

global te.rotnaab=9999.999
global te.rotnanb=9999.999
!
! Prcision de poursuite sur le ciel dsire pour le tlescope
! Cette valeur dtermine la limite d'erreur de poursuite, en dessous de laquelle,
! le tlescope est considr comme point correctement
!
global te.accu=1.0	! [arcsec] sans drotateur, le tlescope suit mieux
global te.accurot=5	! [arcsec] avec drotateur, la bande passante de la
!	poursuite passe de 50Hz  16Hz!!
!	A cause de choix techniques de codage de
!	position du drotateur inexplicables, malgr
!	les avertissements et recommandations
!	pralables de G.R. Dconcertant!
!
!
global te.focus=-1	! Dfinition du foyer d'observation
			! si te.focus =  1: Cassegrain
			!               -1: Nasmyths A ou B
!
global te.focname=""   ! Nom du foyer
!
if te.focus.eq.1 then
    te.focname="Cassegrain"
else
    if te.focus.eq.(-1) then
        te.focname="Nasmyth"
    else
        te.focname="foyer inconnu: erreur!"
    endif
endif
!
! *******************************************************************************
! *										*
! * MODLE DE POINTAGE								*
! *										*
! *******************************************************************************
!
! Paramtres dtermins  La Silla le 16.08.98 (CORALIE fibre objet)
!
! All parametres redefined in @tpoint + ../t120/server.cfg
!
global te.tpacec	! Partie cos de l'excentricit de l'axe d'azimut
global te.tpaces	! Partie sin de l'excentricit de l'axe d'azimut
global te.tpan=-12.29	! Dsalignement Nord-Sud de l'axe d'azimut
global te.tpaw=57.79	! Dsalignement Ouest-Est de l'axe d'azimut
global te.tpca=-52.44	! Erreur de collimation sur l'axe d'azimut
global te.tpecec	! Partie cos de l'excentricit de l'axe d'lvation
global te.tpeces	! Partie sin de l'excentricit de l'axe d'lvation
global te.tphsca	! Correction de gauche-droite avec cos (azimut)
global te.tphscz0	! Correction de gauche-droite avec sin (lvation)
global te.tphscz2	! Correction de gauche-droite avec cos (2 * dist. znitale)
global te.tphscz4	! Correction de gauche-droite avec cos (4 * dist. znitale)
global te.tphssz1	! Correction de gauche-droite avec cos (lvation)
global te.tphssz2	! Correction de gauche-droite avec cos (2 * lvation)
global te.tphssz3	! Correction de gauche-droite avec cos (3 * lvation)
global te.tphvca	! Correction de te.tpnpae avec cos (azimut)
global te.tphzcz	! Correction de l'lvation avec sin (lvation)
global te.tphzcz2	! Correction de l'lvation avec sin (2 * lvation)
global te.tphzcz4	! Correction de l'lvation avec sin (4 * lvation)
global te.tphzsa	! Correction de l'lvation avec sin (azimut)
global te.tphzsz1	! Correction de l'lvation avec cos (lvation)
global te.tphzsz2	! Correction de l'lvation avec cos (2 * lvation)
global te.tphzsz4	! Correction de l'lvation avec cos (4 * lvation)
global te.tpia		! Erreur d'offset de l'axe d'azimut
global te.tpie		! Erreur d'offset de l'axe d'lvation
global te.tpnpae	! Non perpendicularit des axes azimut-lvation
global te.tppzz3	! Polynome 
global te.tppzz5	! Polynome 
global te.tptf		! Flexion du tube avec cos (lvation)
global te.tptx=-16.34	! Flexion du tube avec cotg (lvation)
!
!
! Modle de pointage pour T5  Genve
!
if index(lower(g.site),"geneva") then
    te.tpacec=0		! Partie cos de l'excentricit de l'axe d'azimut
    te.tpaces=0		! Partie sin de l'excentricit de l'axe d'azimut
    te.tpan=-11		! Dsalignement Nord-Sud de l'axe d'azimut
    te.tpaw=-17		! Dsalignement Ouest-Est de l'axe d'azimut
    te.tpca=-140	! Erreur de collimation sur l'axe d'azimut
    te.tpecec=0		! Partie cos de l'excentricit de l'axe d'lvation
    te.tpeces=0		! Partie sin de l'excentricit de l'axe d'lvation
    te.tphsca=0		! Correction de gauche-droite avec cos (azimut)
    te.tphscz0=0	! Correction de gauche-droite avec sin (lvation)
    te.tphscz2=0	! Correction de gauche-droite avec cos (2 * dist. znitale)
    te.tphscz4=0	! Correction de gauche-droite avec cos (4 * dist. znitale)
    te.tphssz1=0	! Correction de gauche-droite avec cos (lvation)
    te.tphssz2=0	! Correction de gauche-droite avec cos (2 * lvation)
    te.tphvca=0		! Correction de te.tpnpae avec cos (azimut)
    te.tphzcz=0		! Correction de l'lvation avec sin (lvation)
    te.tphzcz2=-60.7	! Correction de l'lvation avec sin (2 * lvation)
    te.tphzcz4=0	! Correction de l'lvation avec sin (4 * lvation)
    te.tphzsa=0		! Correction de l'lvation avec sin (azimut)
    te.tphzsz1=0	! Correction de l'lvation avec cos (lvation)
    te.tphzsz2=0	! Correction de l'lvation avec cos (2 * lvation)
    te.tphzsz4=0	! Correction de l'lvation avec cos (4 * lvation)
    te.tpia=-117.8      ! Erreur d'offset de l'axe d'azimut
    te.tpie=-110	! Erreur d'offset de l'axe d'lvation
    te.tpnpae=180	! Non perpendicularit des axes azimut-lvation
    te.tptf=0		! Flexion du tube avec cos (lvation)
    te.tptx=0		! Flexion du tube avec cotg (lvation)
endif
!
! Modle de pointage pour T5  La Palma
! 1st pointing model implemented 24.01.2001
! Preliminary pointing model for P7-2000 02052001
!
if index(lower(g.site),"palma") then
    te.tpacec=-9.34	! Partie cos de l'excentricit de l'axe d'azimut
    te.tpaces=7.33	! Partie sin de l'excentricit de l'axe d'azimut
    te.tpan=-13		! Dsalignement Nord-Sud de l'axe d'azimut
    te.tpaw=-1.5	! Dsalignement Ouest-Est de l'axe d'azimut
    !te.tpca=-272	! Erreur de collimation sur l'axe d'azimut
    te.tpca=-25		! Erreur de collimation sur l'axe d'azimut
    te.tpecec=0		! Partie cos de l'excentricit de l'axe d'lvation
    te.tpeces=0		! Partie sin de l'excentricit de l'axe d'lvation
    te.tphsca=0		! Correction de gauche-droite avec cos (azimut)
    te.tphscz0=0	! Correction de gauche-droite avec sin (lvation)
    te.tphscz2=9.4	! Correction de gauche-droite avec cos (2 * dist. znitale)
    te.tphscz4=0	! Correction de gauche-droite avec cos (4 * dist. znitale)
    te.tphssz1=0	! Correction de gauche-droite avec cos (lvation)
    te.tphssz2=-6.4	! Correction de gauche-droite avec cos (2 * lvation)
    te.tphvca=0		! Correction de te.tpnpae avec cos (azimut)
    te.tphzcz=0		! Correction de l'lvation avec sin (lvation)
    te.tphzcz2=0	! Correction de l'lvation avec sin (2 * lvation)
    te.tphzcz4=0	! Correction de l'lvation avec sin (4 * lvation)
    te.tphzsa=0		! Correction de l'lvation avec sin (azimut)
    te.tphzsz1=0	! Correction de l'lvation avec cos (lvation)
    te.tphzsz2=0	! Correction de l'lvation avec cos (2 * lvation)
    te.tphzsz4=0	! Correction de l'lvation avec cos (4 * lvation)
    te.tpia=143.5	! Erreur d'offset de l'axe d'azimut
    !te.tpie=-275	! Erreur d'offset de l'axe d'lvation
    te.tpie=-416	! Erreur d'offset de l'axe d'lvation
    te.tpnpae=0		! Non perpendicularit des axes azimut-lvation
    te.tptf=0		! Flexion du tube avec cos (lvation)
    te.tptx=4		! Flexion du tube avec cotg (lvation)
endif
!
! *******************************************************************************
! *										*
! * AXES DU TLESCOPE								*
! *										*
! *******************************************************************************
!
! -------------------------------------------------------------------------------
! Offsets d'initialisation []
! -------------------------------------------------------------------------------
!
!
! LA SILLA (par dfaut)
! ---------------------
!
! valeur avant Jouvence
!global te.azi.off=103.36179   ! azimut (par rapport au SUD)
!global te.azi.off=102.9000   ! azimut (par rapport au SUD)
global te.azi.off=102.9000   ! azimut (par rapport au SUD)

! valeur thorique: 107
!global te.ele.off=71.9601     ! lvation    Avant aluminure nov 2009
global te.ele.off=71.0301     ! lvation

global te.rot.off=-42         ! rotation de champ
global te.rot.nor             ! rotation par rapport au nord
!
! LA PALMA
! --------
!
if index(lower(g.site),"palma") then
    te.azi.off=-101.34111  ! azimut (par rapport au NORD)
    ! valeur thorique: -106.6
    te.ele.off=71.76613    ! lvation
    !te.rot.off=-132       ! rotation de champ
    te.rot.off=-121
endif
!
! GENVE
! ------
!
if index(lower(g.site),"geneva") then
    te.azi.off=-127.037    ! azimut (par rapport au NORD)
    te.ele.off=71.87       ! lvation
    te.rot.off=0           ! rotation de champ
endif
!
!
!
! -------------------------------------------------------------------------------
! Fins de course en poursuite []
! -------------------------------------------------------------------------------
!
!
! POUR TOUS LES SITES
! -------------------
!
! lvation
global te.ele.min=12
global te.ele.max=90
!
! LA SILLA (par dfaut)
! ---------------------
!
! azimut (par rapport au SUD)
global te.azi.min=-90
global te.azi.max=304
!
! rotation de champ
global te.rot.min=-270
global te.rot.max=180
!
! LA PALMA
! --------
!
if index(lower(g.site),"palma") then
    !
    ! azimut (par rapport au NORD)
    te.azi.min=-300
    te.azi.max=85
    !
    ! rotation de champ
    te.rot.min=-360
    te.rot.max=90
endif
!
! GENVE
! ------
!
if index(lower(g.site),"geneva") then
    !
    ! azimut (par rapport au NORD)
    te.azi.min=-330
    te.azi.max=80
    !
    ! rotation de champ
    te.rot.min=-270
    te.rot.max=180
endif
!
! *******************************************************************************
! *										*
! * COUPOLE									*
! *										*
! *******************************************************************************
!
! L'origine 0 du codeur de position de la coupole a t rgle a azimut=0 (Silla-SUD)
!    Marche a suivre
!
! 1. Depuis le prompteur t120:
!    @track onboth
!    @pointe 0 25 1
!    @track off
! 2. aller en coupole
!    - enlever le capot du codeur coupole et on sortir la courroie crantee
!    - deplacer la coupole en manuel jusqu'a ce qu'elle concide avec le t120
!    - remettre la courroie crantee et coupole en auto
! 3. Reinitialiser le telescope et refaire 1.
!    Le telescope et la coupole sont maintenant synchronisees approximativment
! 4. Synchronisation fine (pas indispensable)
!    - Ouvrir T120sdb - on regarde position et consigne de la coupole 
!    - aller en coupole et la courroie crantee
!    - tourner la roulette du codeur jusqu'a ce que la consigne et position 
!      de la coupole dans T120sdb coincides (2 personnes !)
!    - remttre la la courroie crantee
!
! CM Installation d'un top 0 pour initialiser l'offset de la coupole
! te.cup.off supprime des fichier de config  t120/applic/camera2  et coralie   server.cfg
!
global te.cup.bug=0     ! Si le panneau warning apparait on met a 1 et plus de correction automatique
global te.cup.vtz=29    ! Valeur angle coupole du Top Zero 
global te.cup.off=21.5  ! offset de l'origine de la coordonne de la coupole
                        ! aligne sur le telescope AB 01072003
		        ! valeur modifie DM 20061023
!te.cup.off:38.5                            # Dome offset J.Sahlmann 27 may 2009: A larger offset moves the dome to the LEFT
!:te.cup.off:30.5                            #  CM 3 juin 2007
!:TE.CUP.OFF:31:		            # offset cupole 20061012
!
!
! -------------------------------------------------------------------------------
! OUVERTURE ET FERMETURE
! -------------------------------------------------------------------------------
!
! Temps mesurs par E.Ischi (La Silla, 18.10.2000) en [s]
!
!         OUVERTURE  FERMETURE
! CIMIER     200       205
! VOLET       60        75
!
! global te.shutopt=213 ! [s] Time-out d'ouverture et de fermeture du cimier
global te.shutopt=205 ! [s] Time-out d'ouverture et de fermeture du cimier
global te.shubott=83  ! [s] Time-out d'ouverture et de fermeture du volet
!
!
! LA PALMA
! --------
!
! Temps mesurs par E.Ischi (La Palma, 12.01.2001) en [s]
!
!         OUVERTURE  FERMETURE
! CIMIER     195       197
! VOLET       95        75
!
!
if find(lower(g.site),"palma") then
    te.shutopt=205 ! [s] Time-out d'ouverture et de fermeture du cimier
    te.shubott=103 ! [s] Time-out d'ouverture et de fermeture du volet
endif
!
! *******************************************************************************
! *										*
! * PARCAGE DE FIN DE NUIT []							*
! *										*
! *******************************************************************************
!
global te.azipark=244    ! Azimut          Nouvelle valeures 11/09/2002
global te.elepark=72     ! lvation	Silla
global te.cuppark=0      ! Coupole	Silla
global te.rotpark=50     ! Drotateur	Silla
!
! LA PALMA
! --------
!
if find(lower(g.site),"palma") then
    te.azipark=0				! Azimut	Palma
    te.elepark=68				! lvation	Palma
    te.cuppark=40				! Coupole	Palma
endif
